Subject: Re: bug#24453: Hyper and super keys don't work in some branches

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Sep 2016 22:10:28 +0300

> Date: Wed, 21 Sep 2016 18:43:08 +0000 (UTC)
> From: Mambo Levis <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, 
> 	"[email-masked]" <[email-masked]>
> 
> Which probably means you have some local system customizations
> (outside of Emacs) that affect this.
> 
> Levis >>> The point is that super key works if I use the master brach of emacs. For example I am testing 
> the master branch at this moment: 
> 
> Let me first I show you emacs version:
> GNU Emacs 25.1.50.1 (x86_64-w64-mingw32)
> 
> Then the tests:
> s-a is undefined
> s-b is undefined
> s-c in undefined
> etc
> All of them work. Why the master work and the official release not? 

The master branch has some code that hooks the keyboard at a lower
level, so it is able to intercept these keys.